首页  

eclipse安装lombok     所属分类 eclipse 浏览量 64
不推荐使用!!!
不过同事用了,咱也没办法

下载 lombok.jar
https://projectlombok.org/download

eclipse.ini
-javaagent:/Users/dyyx/soft/tools/lombok.jar 
注意用绝对路径 ,否则找不到 lombok.jar  , eclipse 启动不了

/Applications/Eclipse.app/Contents/Eclipse/eclipse.ini

ps -ef |grep eclipse
/Applications/Eclipse.app/Contents/MacOS/eclipse

eclipse 和 eclipse.ini 不在同一个目录 ,eclipse.ini 需要使用 绝对路径



lombok注解

@Getter
@Setter
@EqualsAndHashCode
@ToString

@Data

@Slf4j   @NoArgsConstructor @AllArgsConstructor

lombok问题
JDK版本问题   Java8升级到Java11时不能使用
胁迫使用
可读性差  偷偷摸摸生成代码

上一篇     下一篇
springboot文件上传异常分析及解决方案

linux kill 命令

springboot依赖本地jar打包配置

springboot2 feign 实例

feign消费端注解使用说明

JVM异常优化Fast Throw 与 OmitStackTraceInFastThrow 参数